package com.mortals.xhx.module.platform.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.platform.model.vo.PlatformVo;
/**
* 平台系统实体对象
*
* @author zxfei
* @date 2022-04-25
*/

public class PlatformEntity extends PlatformVo {
    private static final long serialVersionUID = 1L;

    /**
    * 平台名称，名称唯一
    */
    @Excel(name = "平台名称，名称唯一")
    private String platformName;
    /**
    * 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
    */
    private String platformSn;
    /**
    * 发送第三方平台消息类型(0.http,1.jms)
    */
    private Integer sendMsgType;
    /**
    * 发送参数配置，如发送消息地址等，xml结构,根据消息类型变化
    */
    private String sendConfig;
    /**
    * 是否启用发送消息(0.停用,1.启用)
    */
    private Integer sendSwitch;
    /**
    * 备注
    */
    private String platformRemark;



    public PlatformEntity(){}
    /**
    * 获取 平台名称，名称唯一
    * @return String
    */
    public String getPlatformName(){
        return platformName;
    }
    /**
    * 设置 平台名称，名称唯一
    * @param platformName
    */
    public void setPlatformName(String platformName){
        this.platformName = platformName;
    }
    /**
    * 获取 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
    * @return String
    */
    public String getPlatformSn(){
        return platformSn;
    }
    /**
    * 设置 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
    * @param platformSn
    */
    public void setPlatformSn(String platformSn){
        this.platformSn = platformSn;
    }
    /**
    * 获取 发送第三方平台消息类型(0.http,1.jms)
    * @return Integer
    */
    public Integer getSendMsgType(){
        return sendMsgType;
    }
    /**
    * 设置 发送第三方平台消息类型(0.http,1.jms)
    * @param sendMsgType
    */
    public void setSendMsgType(Integer sendMsgType){
        this.sendMsgType = sendMsgType;
    }
    /**
    * 获取 发送参数配置，如发送消息地址等，xml结构,根据消息类型变化
    * @return String
    */
    public String getSendConfig(){
        return sendConfig;
    }
    /**
    * 设置 发送参数配置，如发送消息地址等，xml结构,根据消息类型变化
    * @param sendConfig
    */
    public void setSendConfig(String sendConfig){
        this.sendConfig = sendConfig;
    }
    /**
    * 获取 是否启用发送消息(0.停用,1.启用)
    * @return Integer
    */
    public Integer getSendSwitch(){
        return sendSwitch;
    }
    /**
    * 设置 是否启用发送消息(0.停用,1.启用)
    * @param sendSwitch
    */
    public void setSendSwitch(Integer sendSwitch){
        this.sendSwitch = sendSwitch;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getPlatformRemark(){
        return platformRemark;
    }
    /**
    * 设置 备注
    * @param platformRemark
    */
    public void setPlatformRemark(String platformRemark){
        this.platformRemark = platformRemark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PlatformEntity) {
            PlatformEntity tmp = (PlatformEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",platformName:").append(getPlatformName());
        sb.append(",platformSn:").append(getPlatformSn());
        sb.append(",sendMsgType:").append(getSendMsgType());
        sb.append(",sendConfig:").append(getSendConfig());
        sb.append(",sendSwitch:").append(getSendSwitch());
        sb.append(",platformRemark:").append(getPlatformRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.platformName = "";

            this.platformSn = "";

            this.sendMsgType = 0;

            this.sendConfig = "";

            this.sendSwitch = 0;

            this.platformRemark = "";
    }
}